import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import NemoClawLogoLight from './NemoClawLogoLight';
import NemoClawLogoDark from './NemoClawLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const NemoClawLogoSvg = forwardRef(function NemoClawLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(NemoClawLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(NemoClawLogoLight, Object.assign({}, props, { ref: ref })));
});
export default NemoClawLogoSvg;
